package com.crm.rely.backend.core.enums;

/**
 * 幸运奖状态
 *
 * @author y
 * @create 2022/1/21
 */
public enum FollowCptLuckyStatus {


    SENDING(1, "SENDING"),
    SEND(2, "SEND"),
    CREDIT_REMOVE(3, "CREDIT_REMOVE");//开赛时未满足资金要求


    private final Integer code;
    private final String desc;

    FollowCptLuckyStatus(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static FollowCptLuckyStatus matchCode(Integer code) {
        for (FollowCptLuckyStatus type : FollowCptLuckyStatus.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }


}
